Package org.apache.ignite.internal.management.kill

## Class KillConsistencyCommand

- java.lang.Object
- - org.apache.ignite.internal.management.kill.KillConsistencyCommand

All Implemented Interfaces:
  `Command<NoArg,​Void>`, `ComputeCommand<NoArg,​Void>`

    public class KillConsistencyCommand
    extends Object
    implements ComputeCommand<NoArg,​Void>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`KillConsistencyCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<NoArg>` `argClass()`
`String` `description()` Command description.
`Collection<GridClientNode>` `nodes​(Collection<GridClientNode> nodes, NoArg arg)`
`Class<ConsistencyCancelTask>` `taskClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`handleException, printResult`

### Constructor Detail

#### KillConsistencyCommand

    public KillConsistencyCommand()

### Method Detail

#### description

    public String description()

Command description.

Specified by:
  `description` in interface `Command<NoArg,​Void>`

#### argClass

    public Class<NoArg> argClass()

Specified by:
  `argClass` in interface `Command<NoArg,​Void>`
Returns:
  Arguments class.

#### taskClass

    public Class<ConsistencyCancelTask> taskClass()

Specified by:
  `taskClass` in interface `ComputeCommand<NoArg,​Void>`
Returns:
  Task class.

#### nodes

    public Collection<GridClientNode> nodes​(Collection<GridClientNode> nodes,
                                            NoArg arg)

Specified by:
  `nodes` in interface `ComputeCommand<NoArg,​Void>`
Parameters:
  `nodes` - Live nodes.
  `arg` - Argument.
Returns:
  nodes to execute command on, `null` means default node must be used.